package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.agency.entity.Agency;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.AgencyVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class AgencyWrapper extends BaseEntityWrapper<Agency, AgencyVO> {


	public static AgencyWrapper build(){
		return new AgencyWrapper();
	}
	@Override
	public AgencyVO entityVO(Agency agency) {

		AgencyVO agencyVO = Objects.requireNonNull(BeanUtil.copy(agency,AgencyVO.class));
		return agencyVO;
	}
}
